package auction;



import javax.ejb.*;

import java.rmi.*;

import java.util.*;



public interface AuctionItem extends EJBObject {

   String getDescription() throws RemoteException;

   String getSeller() throws RemoteException;

   int getId() throws RemoteException;

   String getSummary() throws RemoteException;

   double getIncrement() throws RemoteException;

   double getHighBid() throws RemoteException; 

   int getBidCount() throws RemoteException; 

   String getHighBidder() throws RemoteException;

   Date getStartDate() throws RemoteException;

   Date getEndDate() throws RemoteException;

   double getStartPrice() throws RemoteException;

   int setHighBid(String buyer, double amount, double increment) throws RemoteException;

}

